<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Fragments.ForgotPswrdFragment">

    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/rl_footer" >

        <!--    Header-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/cardView"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingHorizontal="6dp">

            <TextView
                android:id="@+id/title1"
                style="@style/first_title"
                android:text="@string/rende_rendv_autre_btn"  />


            <TextView
                android:id="@+id/title2"
                style="@style/second_title"
                android:layout_marginTop="@dimen/default_padding"
                android:text="@string/recup_rendv_titiel2"  />

        </LinearLayout>


        <!-- content main-->
        <androidx.cardview.widget.CardView
            android:id="@+id/cardView"
            style="@style/card_view_centre"
            app:cardCornerRadius="@dimen/cardview_radius"
            app:cardElevation="@dimen/cardview_elevation">



            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:orientation="vertical">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="10dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/txt_date"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="0.11"
                        android:drawableStart="@drawable/ic_calendar"
                        android:drawablePadding="6dp"
                        android:fontFamily="sans-serif-medium"
                        android:padding="10dp"
                        android:text="Date"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:textStyle="normal" />

                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toEndOf="@+id/txt_date"
                        app:boxBackgroundMode="outline"
                        app:boxCornerRadiusBottomEnd="25dp"
                        app:boxCornerRadiusBottomStart="25dp"
                        app:boxCornerRadiusTopEnd="25dp"
                        app:boxCornerRadiusTopStart="25dp"
                        app:boxStrokeColor="@color/disabled">

                        <AutoCompleteTextView
                            android:id="@+id/dropdown_date"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:drawableEnd="@drawable/ic_down"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:inputType="none"
                            android:padding="1dp"
                            android:text="CALENDRIER"
                            android:textAllCaps="true"
                            android:textColor="@color/disabled" />
                    </com.google.android.material.textfield.TextInputLayout>


                </LinearLayout>


                <View
                    style="@style/view_lien"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="10dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="0.11"
                        android:drawableStart="@drawable/ic_time"
                        android:drawablePadding="6dp"
                        android:fontFamily="sans-serif-medium"
                        android:padding="10dp"
                        android:text="Préference"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:textStyle="normal" />

                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="165dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toEndOf="@+id/txt_pre"
                        app:boxBackgroundMode="outline"
                        app:boxCornerRadiusBottomEnd="25dp"
                        app:boxCornerRadiusBottomStart="25dp"
                        app:boxCornerRadiusTopEnd="25dp"
                        app:boxCornerRadiusTopStart="25dp"
                        app:boxStrokeColor="@color/disabled">

                        <AutoCompleteTextView
                            android:id="@+id/dropdown_activete"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:drawableEnd="@drawable/ic_down"
                            android:gravity="center"
                            android:inputType="none"
                            android:padding="1dp"
                            android:text="matin"
                            android:textAllCaps="true"
                            android:textColor="@color/disabled" />
                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>


            </LinearLayout>


        </androidx.cardview.widget.CardView>

        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/cardView"
            android:layout_marginTop="100dp"
            android:background="@drawable/radius_left_right">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.03"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingLeft="100dp"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="220dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-90dp"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>

    <!--  Footer  -->
    <RelativeLayout
        android:id="@+id/rl_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp">

        <ImageView
            android:id="@+id/img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:padding="10dp"
            android:src="@drawable/ic_back" />


        <TextView
            style="@style/btn_next"
            android:text="@string/rende_rendv_autre_btn"/>


    </RelativeLayout>



</RelativeLayout>